CREATE TABLE qna (
	sid INT NOT NULL UNIQUE PRIMARY KEY,
	no INT NOT NULL,
	subject TINYTEXT,
	content TEXT,
	file TINYTEXT,
	viewcount INT NOT NULL,
	downcount INT NOT NULL,
	html_tag enum('y','n'),
	remote_addr VARCHAR(32),
	parent_sid INT NOT NULL,
	root_sid INT NOT NULL,
	deepth INT NOT NULL,
	userid VARCHAR(16) NOT NULL,
	passwd VARCHAR(16),
	ts TIMESTAMP(14) NOT NULL,
	INDEX (no)
);
CREATE TABLE diy (
	sid INT NOT NULL UNIQUE PRIMARY KEY,
	no INT NOT NULL,
	subject TINYTEXT,
	content TEXT,
	file TINYTEXT,
	viewcount INT NOT NULL,
	downcount INT NOT NULL,
	html_tag enum('y','n'),
	remote_addr VARCHAR(32),
	parent_sid INT NOT NULL,
	root_sid INT NOT NULL,
	deepth INT NOT NULL,
	userid VARCHAR(16) NOT NULL,
	passwd VARCHAR(16),
	ts TIMESTAMP(14) NOT NULL,
	INDEX (no)
);
CREATE TABLE doc (
	sid INT NOT NULL UNIQUE PRIMARY KEY,
	no INT NOT NULL,
	subject TINYTEXT,
	content TEXT,
	file TINYTEXT,
	viewcount INT NOT NULL,
	downcount INT NOT NULL,
	html_tag enum('y','n'),
	remote_addr VARCHAR(32),
	parent_sid INT NOT NULL,
	root_sid INT NOT NULL,
	deepth INT NOT NULL,
	userid VARCHAR(16) NOT NULL,
	passwd VARCHAR(16),
	ts TIMESTAMP(14) NOT NULL,
	INDEX (no)
);
CREATE TABLE free (
	sid INT NOT NULL UNIQUE PRIMARY KEY,
	no INT NOT NULL,
	subject TINYTEXT,
	content TEXT,
	file TINYTEXT,
	viewcount INT NOT NULL,
	downcount INT NOT NULL,
	html_tag enum('y','n'),
	remote_addr VARCHAR(32),
	parent_sid INT NOT NULL,
	root_sid INT NOT NULL,
	deepth INT NOT NULL,
	userid VARCHAR(16) NOT NULL,
	passwd VARCHAR(16),
	ts TIMESTAMP(14) NOT NULL,
	INDEX (no)
);
CREATE TABLE ababada (
	sid INT NOT NULL UNIQUE PRIMARY KEY,
	no INT NOT NULL,
	subject TINYTEXT,
	content TEXT,
	file TINYTEXT,
	viewcount INT NOT NULL,
	downcount INT NOT NULL,
	html_tag enum('y','n'),
	remote_addr VARCHAR(32),
	parent_sid INT NOT NULL,
	root_sid INT NOT NULL,
	deepth INT NOT NULL,
	userid VARCHAR(16) NOT NULL,
	passwd VARCHAR(16),
	ts TIMESTAMP(14) NOT NULL,
	INDEX (no)
);
CREATE TABLE hobby (
	sid INT NOT NULL UNIQUE PRIMARY KEY,
	no INT NOT NULL,
	subject TINYTEXT,
	content TEXT,
	file TINYTEXT,
	viewcount INT NOT NULL,
	downcount INT NOT NULL,
	html_tag enum('y','n'),
	remote_addr VARCHAR(32),
	parent_sid INT NOT NULL,
	root_sid INT NOT NULL,
	deepth INT NOT NULL,
	userid VARCHAR(16) NOT NULL,
	passwd VARCHAR(16),
	ts TIMESTAMP(14) NOT NULL,
	INDEX (no)
);
